[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.RestoredWidth

The width of the form when it is resized.

## Declaration

Source position: forms.pp line 817

`public property TCustomForm.RestoredWidth : Integer read FRestoredWidth;`

## Description

RestoredWidth is a read-only Integer property which contains the Width for the form when its size is altered in WMSize or WMMove message handlers. The property value is applied when the asynchronous queued event handler for the form is executed and calls the DoOnChangeBounds method.

## See also

TCustomForm.WMSize |  | Handles the LM_SIZE window message for the form.
TControl.DoOnChangeBounds |  | Signals OnChangeBounds event handlers for the control.
TControl.Width |  | The horizontal size for the control.